package test.embeddable;

import javax.persistence.Embeddable;

import org.eclipse.persistence.annotations.Customizer;
import org.eclipse.persistence.config.DescriptorCustomizer;
import org.eclipse.persistence.descriptors.ClassDescriptor;

@Embeddable
@Customizer(EmbeddableChild.class)
public class EmbeddableChild implements DescriptorCustomizer {
	
	public EmbeddableChild() {}
	public void customize(ClassDescriptor descriptor) {
		descriptor.getInheritancePolicy().setParentClass(EmbeddableParent.class);
	}
}
